SQLITE3_STR(3) | Library Functions Manual | SQLITE3_STR(3)

# NAME

`sqlite3_str` — dynamic string object

# SYNOPSIS

`#include <sqlite3.h>`

typedef struct sqlite3_str sqlite3_str;

# DESCRIPTION

An instance of the sqlite3_str object contains a dynamically-sized string under construction.

The lifecycle of an sqlite3_str object is as follows:

1. The sqlite3_str object is created using `sqlite3_str_new`().
2. Text is appended to the sqlite3_str object using various methods, such as `sqlite3_str_appendf`().
3. The sqlite3_str object is destroyed and the string it created is returned using the `sqlite3_str_finish`() interface.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 8382.

    typedef struct sqlite3_str sqlite3_str;

# SEE ALSO

sqlite3_str_appendf(3), sqlite3_str_finish(3), sqlite3_str_new(3)

January 24, 2024 | NetBSD 11.0